Bug 16295 - marc_modification_templates permission doesn't allow access to modify template
Summary: marc_modification_templates permission doesn't allow access to modify template
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8015
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-19 15:08 UTC by Jessie Zairo
Modified: 2017-07-31 11:04 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16295: Fix access to MMT admin page (1.05 KB, patch)
2017-05-23 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16295: Fix access to MMT admin page (1.11 KB, patch)
2017-05-23 18:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 16295: Fix access to MMT admin page (1.16 KB, patch)
2017-05-24 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Zairo 2016-04-19 15:08:47 UTC
I have a staff member with permission to manage marc modification templates but they can't use it. They get Error: You do not have permission to access this page.
Comment 1 Claudio 2016-07-04 19:08:49 UTC
Same problem after upgrading to 3.22.7
Comment 2 Nick Clemens 2017-04-18 15:39:29 UTC
Upping severity, recreated on master:

To test:
Set permissions for a user to have everything except some tools permission (not superlibrarian, not tools "*")
Try to access marc modification templates
You get 'No permission error'
Comment 3 Jonathan Druart 2017-05-23 17:12:43 UTC
Created attachment 63665 [details] [review]
Bug 16295: Fix access to MMT admin page

There was a typo in the permission code

Test plan:
Try to access the marc modification templates admin page with the
marc_modification_templates permission (and not all tools permissions)
Comment 4 Josef Moravec 2017-05-23 18:12:00 UTC
Created attachment 63666 [details] [review]
[SIGNED-OFF] Bug 16295: Fix access to MMT admin page

There was a typo in the permission code

Test plan:
Try to access the marc modification templates admin page with the
marc_modification_templates permission (and not all tools permissions)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Julian Maurice 2017-05-24 14:49:22 UTC
Created attachment 63704 [details] [review]
Bug 16295: Fix access to MMT admin page

There was a typo in the permission code

Test plan:
Try to access the marc modification templates admin page with the
marc_modification_templates permission (and not all tools permissions)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Kyle M Hall 2017-05-29 02:11:20 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 7 Katrin Fischer 2017-06-05 12:31:01 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 8 Mason James 2017-07-31 11:04:12 UTC
Pushed to 16.05.x, for 16.05.15 release